export function isMobile () {
  const userAgent = navigator.userAgent || navigator.vendor || window.opera
  const mobile = /android|iphone|ipad|ipod|blackberry|iemobile|opera mini/i.test(userAgent)

  // 结合窗口宽度判断
  return mobile || window.innerWidth <= 768
}
